<?php

/* ========================================================================
 * $Id: bs.app.shipments.php 1635 2020-07-09 02:20:36Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onez.cn
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
#名称：虚拟商品自动发货系统
#标识：bs.app.shipments
include_once(dirname(__FILE__).'/lib/function.php');
class onezphp_bs_app_shipments extends onezphp{
  var $version='v1.0.0';
  function __construct(){
    global $G;
  }
  function init(){
    return bs_app_shipments_init();
  }
  function error($text){
    return bs_app_shipments_error($text);
  }
  function strcode($data,$type){
    return bs_app_shipments_strcode($data,$type);
  }
  function payback($order){
    return bs_app_shipments_payback($order);
  }
  function licence($type=false){
    return bs_app_shipments_licence($type);
  }
  function product_types($key=false){
    return bs_app_shipments_product_types($key);
  }
  function guest($ip=false){
    return bs_app_shipments_guest($ip);
  }
  function sendMail($orderno,$email=false){
    return bs_app_shipments_sendMail($orderno,$email);
  }
  function grades($key=false){
    return bs_app_shipments_grades($key);
  }
  function addLog($content,$type,$extra=false){
    return bs_app_shipments_addLog($content,$type,$extra);
  }
  function content(&$A,$T){
    return bs_app_shipments_content($A,$T);
  }
  function plugins($siteId,$field=false){
    return bs_app_shipments_plugins($siteId,$field);
  }
  function install($base64){
    return bs_app_shipments_install($base64);
  }
  function uninstall($plugin){
    return bs_app_shipments_uninstall($plugin);
  }
  function slot($key,&$data=false){
    return bs_app_shipments_slot($key,$data);
  }
  function onezapi($type,$args=''){
    return bs_app_shipments_onezapi($type,$args);
  }
}